> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fulfill Inventory

> Fulfills inventory based on the given request



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v5/inventory/fulfill
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v5/inventory/fulfill:
    post:
      tags:
        - InventoryAllocation
      summary: Fulfill Inventory
      description: Fulfills inventory based on the given request
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/AllocateInventoryRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
          description: Success
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    $ref: '#/components/schemas/BaseResponse'
                type: object
          description: Internal Server Error
components:
  requestBodies:
    AllocateInventoryRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AllocateInventoryRequest'
      description: Request to allocate inventory
      required: true
  schemas:
    BaseResponse:
      description: Base Response Model
      properties:
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Base Response
      type: object
    AllocateInventoryRequest:
      description: Request needed for allocating inventory
      properties:
        autoAssign:
          description: flag to determine whether the allocation was due to auto assignment
          type: boolean
        decrementOnHandOnDeallocate:
          description: flag to determine deallocation on decrements
          type: boolean
        items:
          description: list of AllocateItems
          items:
            $ref: '#/components/schemas/AllocateItem'
          type: array
        locationCode:
          description: Location Code
          title: location code
          type: string
        orderDate:
          description: order date
          type: string
        orderWeight:
          description: order weight
          type: integer
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        runSynchronous:
          description: >-
            flag to determine whether the runSyncronous flag is set and the
            allocation should be run synchronously
          type: boolean
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Allocate Inventory Request
      type: object
    AllocateItem:
      description: Item for Allocation
      properties:
        binID:
          description: Bin Location Identifier
          title: bin ID
          type: integer
        blockAssignment:
          description: >-
            Block assignment of item at product/location level. ONLY allowed on
            deallocate.
          title: Block Item Assignment
          type: boolean
        cartID:
          description: Cart ID (GUID)
          title: Cart ID
          type: string
        cartItemID:
          description: Cart Item ID (GUID)
          title: Cart Item ID
          type: string
        condition:
          description: >-
            Descriptor for the state of the product. Only used in Allocate
            calls.
          title: Condition
          type: string
        date:
          description: >-
            Used by the retailer for storing information related to
            manufacturing date or expiry date and use date to allocate for
            better stock management. Only used in Allocate calls.
          format: date-time
          type: string
        futureDate:
          description: >-
            Future Date at which the inventory should be allocated against.
            Expected format '2020-09-28T12:00:00-0500'
          format: date-time
          type: string
        locationCode:
          description: location Code
          title: location Code
          type: string
        lotCode:
          description: >-
            Extra Uniqueness Identifier used track which lot a product is
            manufactured in. Only used in Allocate calls.
          title: Lot Code
          type: string
        orderID:
          description: The Order Number in UCP
          title: order ID
          type: integer
        orderItemID:
          description: order item ID
          title: order item ID
          type: integer
        partNumber:
          description: part number
          title: part number
          type: string
        previousOrderItemID:
          description: previous order item ID
          title: previous order item ID
          type: integer
        quantity:
          description: quantity
          title: quantity
          type: integer
        reservationID:
          description: Reservation ID
          title: Reservation ID
          type: string
        serialNumber:
          description: >-
            A serial number unique to a specific, physical unit of inventory.
            Limit of 30 characters. Only used in Allocate calls.
          title: Serial Number
          type: string
        shipmentID:
          description: shipment ID
          title: shipment ID
          type: integer
        sku:
          description: sku
          title: sku
          type: string
        tags:
          $ref: '#/components/schemas/tags'
        upc:
          description: upc
          title: upc
          type: string
      required:
        - quantity
        - orderItemID
        - orderID
        - shipmentID
        - locationID
      title: AllocateItem
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````